from parallels.plesk.source.plesk.hosting_description.provider.plesk_125 import PleskHostingDescriptionProvider125


class PleskHostingDescriptionProvider170(PleskHostingDescriptionProvider125):
    """
    Use the method _entity_dump() and the decorator entity_data_dump() to catch unhandled exceptions
    """

    def _is_template_item_allowed(self, name):
        """
        :type name: str | unicode
        :rtype: bool
        """
        return True

    def _is_limit_allowed(self, name):
        """
        :type name: str | unicode
        :rtype: bool
        """
        return True

    def _is_permission_allowed(self, name):
        """
        :type name: str | unicode
        :rtype: bool
        """
        return True
